Orxonox: orxonox::InputState Class Reference

# orxonox::InputState Class Reference

`#include <src/core/input/InputState.h>`

Inheritance diagram for orxonox::InputState:

List of all members.

## Public Member Functions

const std::string & | getName () const
int | getPriority () const
bool | handlersChanged ()
bool | isInputDeviceEnabled (unsigned int device)
virtual void | joyStickAxisMoved (unsigned int joyStickID, unsigned int axis, float value)=0
virtual void | joyStickButtonHeld (unsigned int joyStickID, JoyStickButtonCode::ByEnum id)=0
virtual void | joyStickButtonPressed (unsigned int joyStickID, JoyStickButtonCode::ByEnum id)=0
virtual void | joyStickButtonReleased (unsigned int joyStickID, JoyStickButtonCode::ByEnum id)=0
virtual void | keyHeld (const KeyEvent &evt)=0
virtual void | keyPressed (const KeyEvent &evt)=0
virtual void | keyReleased (const KeyEvent &evt)=0
virtual void | mouseButtonHeld (MouseButtonCode::ByEnum id)=0
virtual void | mouseButtonPressed (MouseButtonCode::ByEnum id)=0
virtual void | mouseButtonReleased (MouseButtonCode::ByEnum id)=0
virtual void | mouseMoved (IntVector2 abs, IntVector2 rel, IntVector2 clippingSize)=0
virtual void | mouseScrolled (int abs, int rel)=0
virtual void | onEnter ()=0
virtual void | onLeave ()=0
virtual void | registerOnEnter (Executor *executor)
virtual void | registerOnLeave (Executor *executor)
void | resetHandlersChanged ()
virtual void | unRegisterOnEnter ()
virtual void | unRegisterOnLeave ()
virtual void | updateInput (float dt)=0
virtual void | updateInput (float dt, unsigned int device)=0

## Protected Member Functions

| InputState ()
virtual void | numberOfJoySticksChanged (unsigned int n)=0
void | setInputDeviceEnabled (unsigned int device, bool bEnabled)
virtual | ~InputState ()

## Protected Attributes

bool | bHandlersChanged_
Executor * | executorOnEnter_
Executor * | executorOnLeave_

## Private Member Functions

void | setName (const std::string &name)
void | setNumOfJoySticks (unsigned int n)
void | setPriority (int priority)

## Private Attributes

bool | bAlwaysGetsInput_
std::vector< bool > | bInputDeviceEnabled_
bool | bTransparent_
std::string | name_
int | priority_

## Friends

class | InputManager

## Constructor & Destructor Documentation

orxonox::InputState::InputState | ( |  | ) | `[inline, protected]`

virtual orxonox::InputState::~InputState | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

const std::string& orxonox::InputState::getName | ( |  | ) | const`[inline]`

Referenced by orxonox::InputManager::_destroyState().

int orxonox::InputState::getPriority | ( |  | ) | const`[inline]`

Referenced by orxonox::InputManager::_destroyState(), and orxonox::InputManager::initialise().

bool orxonox::InputState::handlersChanged | ( |  | ) | `[inline]`

bool orxonox::InputState::isInputDeviceEnabled | ( | unsigned int | device | ) | `[inline]`

virtual void orxonox::InputState::joyStickAxisMoved | ( | unsigned int | joyStickID,
|  | unsigned int | axis,
|  | float | value |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::ExtendedInputState, and orxonox::SimpleInputState.

virtual void orxonox::InputState::joyStickButtonHeld | ( | unsigned int | joyStickID,
|  | JoyStickButtonCode::ByEnum | id |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::ExtendedInputState, and orxonox::SimpleInputState.

virtual void orxonox::InputState::joyStickButtonPressed | ( | unsigned int | joyStickID,
|  | JoyStickButtonCode::ByEnum | id |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::ExtendedInputState, and orxonox::SimpleInputState.

virtual void orxonox::InputState::joyStickButtonReleased | ( | unsigned int | joyStickID,
|  | JoyStickButtonCode::ByEnum | id |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::ExtendedInputState, and orxonox::SimpleInputState.

virtual void orxonox::InputState::keyHeld | ( | const KeyEvent & | evt | ) | `[pure virtual]`

Implemented in orxonox::ExtendedInputState, and orxonox::SimpleInputState.

virtual void orxonox::InputState::keyPressed | ( | const KeyEvent & | evt | ) | `[pure virtual]`

Implemented in orxonox::ExtendedInputState, and orxonox::SimpleInputState.

virtual void orxonox::InputState::keyReleased | ( | const KeyEvent & | evt | ) | `[pure virtual]`

Implemented in orxonox::ExtendedInputState, and orxonox::SimpleInputState.

virtual void orxonox::InputState::mouseButtonHeld | ( | MouseButtonCode::ByEnum | id | ) | `[pure virtual]`

Implemented in orxonox::ExtendedInputState, and orxonox::SimpleInputState.

virtual void orxonox::InputState::mouseButtonPressed | ( | MouseButtonCode::ByEnum | id | ) | `[pure virtual]`

Implemented in orxonox::ExtendedInputState, and orxonox::SimpleInputState.

virtual void orxonox::InputState::mouseButtonReleased | ( | MouseButtonCode::ByEnum | id | ) | `[pure virtual]`

Implemented in orxonox::ExtendedInputState, and orxonox::SimpleInputState.

virtual void orxonox::InputState::mouseMoved | ( | IntVector2 | abs,
|  | IntVector2 | rel,
|  | IntVector2 | clippingSize |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::ExtendedInputState, and orxonox::SimpleInputState.

virtual void orxonox::InputState::mouseScrolled | ( | int | abs,
|  | int | rel |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::ExtendedInputState, and orxonox::SimpleInputState.

virtual void orxonox::InputState::numberOfJoySticksChanged | ( | unsigned int | n | ) | `[protected, pure virtual]`

Implemented in orxonox::ExtendedInputState, and orxonox::SimpleInputState.

virtual void orxonox::InputState::onEnter | ( |  | ) | `[pure virtual]`

Implemented in orxonox::ExtendedInputState, and orxonox::SimpleInputState.

virtual void orxonox::InputState::onLeave | ( |  | ) | `[pure virtual]`

Implemented in orxonox::ExtendedInputState, and orxonox::SimpleInputState.

virtual void orxonox::InputState::registerOnEnter | ( | Executor * | executor | ) | `[inline, virtual]`

virtual void orxonox::InputState::registerOnLeave | ( | Executor * | executor | ) | `[inline, virtual]`

void orxonox::InputState::resetHandlersChanged | ( |  | ) | `[inline]`

void orxonox::InputState::setInputDeviceEnabled | ( | unsigned int | device,
|  | bool | bEnabled |
| ) |  |  | `[inline, protected]`

Referenced by orxonox::SimpleInputState::update(), and orxonox::ExtendedInputState::update().

void orxonox::InputState::setName | ( | const std::string & | name | ) | `[inline, private]`

Referenced by orxonox::InputManager::_configureInputState().

void orxonox::InputState::setNumOfJoySticks | ( | unsigned int | n | ) | `[inline, private]`

Referenced by orxonox::InputManager::_configureInputState().

void orxonox::InputState::setPriority | ( | int | priority | ) | `[inline, private]`

Referenced by orxonox::InputManager::_configureInputState().

virtual void orxonox::InputState::unRegisterOnEnter | ( |  | ) | `[inline, virtual]`

virtual void orxonox::InputState::unRegisterOnLeave | ( |  | ) | `[inline, virtual]`

virtual void orxonox::InputState::updateInput | ( | float | dt | ) | `[pure virtual]`

Implemented in orxonox::ExtendedInputState, and orxonox::SimpleInputState.

virtual void orxonox::InputState::updateInput | ( | float | dt,
|  | unsigned int | device |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::ExtendedInputState, and orxonox::SimpleInputState.

## Friends And Related Function Documentation

friend class InputManager`[friend]`

Reimplemented in orxonox::ExtendedInputState, and orxonox::SimpleInputState.

## Member Data Documentation

bool orxonox::InputState::bAlwaysGetsInput_`[private]`

Referenced by orxonox::InputManager::_configureInputState().

bool orxonox::InputState::bHandlersChanged_`[protected]`

Referenced by orxonox::SimpleInputState::update(), and orxonox::ExtendedInputState::update().

std::vector<bool> orxonox::InputState::bInputDeviceEnabled_`[private]`

bool orxonox::InputState::bTransparent_`[private]`

Referenced by orxonox::InputManager::_configureInputState().

Executor* orxonox::InputState::executorOnEnter_`[protected]`

Referenced by orxonox::SimpleInputState::onEnter(), and orxonox::ExtendedInputState::onEnter().

Executor* orxonox::InputState::executorOnLeave_`[protected]`

Referenced by orxonox::SimpleInputState::onLeave(), and orxonox::ExtendedInputState::onLeave().

std::string orxonox::InputState::name_`[private]`

int orxonox::InputState::priority_`[private]`

The documentation for this class was generated from the following file:

- src/core/input/InputState.h